Loading...
Searching...
No Matches
amgcpr.hh File Reference
Parallel Algebraic Multigrid

The AMG preconditioner. More...

`#include <opm/simulators/linalg/PreconditionerWithUpdate.hpp>`
`#include <opm/common/TimingMacros.hpp>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/version.hh>`
`#include <dune/istl/paamg/amg.hh>`
`#include <dune/istl/paamg/smoother.hh>`
`#include <dune/istl/paamg/transfer.hh>`
`#include <dune/istl/paamg/hierarchy.hh>`
`#include <dune/istl/solvers.hh>`
`#include <dune/istl/scalarproducts.hh>`
`#include <dune/istl/superlu.hh>`
`#include <dune/istl/umfpack.hh>`
`#include <dune/istl/solvertype.hh>`
`#include <dune/common/typetraits.hh>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | Dune::Amg::AMGCPR< M, X, S, PI, A >
| Parallel algebraic multigrid based on agglomeration. More...

## Detailed Description

The AMG preconditioner.

Author
  Markus Blatt